Amazon Neptune 引擎版本 1.0.2.1.R4 (2019-12-20) - Amazon Neptune
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon Neptune 引擎版本 1.0.2.1.R4 (2019-12-20)

此引擎版本中的改进

  • Neptune 现在总是尝试放置任何full-text-search首先在执行管道中调用。这可以减少以下面的调用量:OpenSearch,这可以显著提高性能。请参阅Full-text-search执行查询

  • Neptune 现在提出了IllegalArgumentException如果您尝试访问不存在的属性、顶点或边缘。此前,Neptune 提出了UnsupportedOperationException在这种情况下。

    例如,如果您尝试添加引用不存在顶点的边缘,则现在将引发 IllegalArgumentException

在此引擎版本中修复的缺陷

  • 修复了一个 Grenomlin 错误,即 unionproject-by 内遍历不会返回结果或者返回错误的结果。

  • 修复了导致嵌套的 .project().by() 步骤返回错误结果的 Gemlin 错误。

此版本支持的查询语言版本

在将数据库集群升级到版本 1.0.2.1.R4 之前,请确保您的项目与以下查询语言版本兼容:

  • Grelin 版本: 3.4.1

  • SPARQL 版本: 1.1

升级到引擎版本 1.0.2.1.R4

您可以将任何以前的 Neptune 引擎版本手动升级到此版本。

但是,不支持自动更新到此版本

升级到此版本

Amazon Neptune 1.0.2.1.R4 现已正式上市。

如果数据库集群运行的引擎版本有此版本的升级路径,则现在有资格进行升级。您可以使用控制台上的数据库集群操作或者使用开发工具包来升级任何符合条件的集群。以下 CLI 命令将立即升级符合条件的集群:

针对 Linux、OS X 或 Unix:

aws neptune modify-db-cluster \ --db-cluster-identifier (your-neptune-cluster) \ --engine-version 1.0.2.1 \ --apply-immediately

对于 Windows:

aws neptune modify-db-cluster ^ --db-cluster-identifier (your-neptune-cluster) ^ --engine-version 1.0.2.1 ^ --apply-immediately

更新将同时应用于数据库集群中的所有实例。更新需要在这些实例上重新启动数据库,因此,会出现从 20 到 30 秒到几分钟的停机,之后您可以继续使用数据库集群。

有关升级引擎版本的更多信息,请参阅Neptune 引擎更新. 如果您有任何疑问或疑虑,Amazon可 Support 过社区论坛和通过AmazonPremium Support.